#pragma once

#include "CoreMinimal.h"
#include "DBDTableRowBaseWithId.h"
#include "ArchivesVignettesEditor.h"
#include "ArchivesJournalEditor.generated.h"

USTRUCT(BlueprintType)
struct FArchivesJournalEditor : public FDBDTableRowBaseWithId
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString StartDate;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FArchivesVignettesEditor> Vignettes;

public:
	DEADBYDAYLIGHT_API FArchivesJournalEditor();
};

FORCEINLINE uint32 GetTypeHash(const FArchivesJournalEditor) { return 0; }
